/**
    FitsDefs.h: Main header file for fits program

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Revisions
    01/21/92	BDS	Created.
**/

#ifndef FITSDEF_H
#define FITSDEF_H

#ifdef  MainStore
#define Glob
#else
#define Glob extern
#endif

typedef int Logical;
typedef int ErrorCode;
#define TRUE     -1
#define FALSE     0
#define SUCCESSFUL    0
#define UNSUCCESSFUL -1
#define READ_ERROR   -2
/*
 * Defined methods for Input 
 */
typedef enum { NEW, APPEND, SUBTRACT} display_modes;

#define RED   0
#define GREEN 1
#define BLUE  2
#define ALL_CHANNELS 3

#define RED_SLOT   1
#define GREEN_SLOT 2
#define BLUE_SLOT  4
#define ALL_SLOTS  7

#define CHAR    0
#define DECIMAL 1
#define STRING  2
#define FLOAT   3

#define ALL_WINDOWS -1
/*
 *  MISC variables
 */
Glob int num_images;
Glob int event_mask;
Glob int exit_program;
Glob char CurFunctionString[80];

Glob  int	NumAvailColors;
Glob  int       ColorLevelMax;
Glob  int       CurColorIndex;

#endif
