/**
    FitsIODefs.h - Globbie decs for file io 

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Revisions:
    01/23/92	BDS	Created.
**/

#ifndef FITSIODEFS_H
#define FITSIODEFS_H

#ifdef MainStore
#define Glob
#else
#define Glob extern
#endif

/* FITS variable declarations
*/
#define MAXCARD         200
#define KEYWORDLEN        8
#define CORRUPTED_FILE -999

typedef enum {
   SIMPLE, BITPIX, NAXIS, NAXIS1, NAXIS2, BSCALE, BZERO, END, UNKNOWN
} keycode_t;

typedef struct {
    char      nm[KEYWORDLEN+1];
    keycode_t cd;
} codes;

#ifdef MainStore
codes keycodes[] = {
                {"SIMPLE  ", SIMPLE},
                {"BITPIX  ", BITPIX},
                {"NAXIS   ", NAXIS},
                {"NAXIS1  ", NAXIS1},
                {"NAXIS2  ", NAXIS2},
                {"BSCALE  ", BSCALE},
                {"BZERO   ", BZERO},
                {"END     ", END},
                {""        , UNKNOWN}
};
#else
extern codes keycodes[];
#endif

Glob char  simple;
Glob int   naxis;
Glob FILE  *FilePtr;

#endif
