/**
    FitsImageDefs.h - Header for globby declarations
                      dealing with image control thingies

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Revisions
    01/21/92	BDS	Created.
    02/18/92	BDS	Add bitpix to fimage structure.
**/

#ifndef FITSIMAGETYPE_H
#define FITSIMAGETYPE_H

#ifdef  MainStore
#define Glob
#else
#define Glob extern
#endif

/*
 *  Image processing functions
 */
typedef enum { F_NONE, F_SQRT, F_LOG, F_SQR} func_t;
typedef enum { OFF=-1, NONE, ON}             DisplayStatus;

/*
 * Display IMAGE structure
 */
typedef struct {
    int		    nrows, ncols;	/* num rows & cols in image */
    int		    MaxColorIndex;		
    int		    NumPixels;		/* number of pixels in image */
    DisplayStatus   channel[3];		/* NONE, ON, OFF */
    float	    RangeMask[3][2];	
    float	    Scale[3];		/* Scaling */
    func_t	    func[3];		/* function applied to each channel */
    int		    *idata;		/* image data array */
}           image_t;

Glob image_t image;

/*
 * FITS raw data structure
 */
typedef struct {
    char        name[256];
    int		id;
    int		bitpix;
    int         naxis1;
    int         naxis2;
    float       data_max, data_min;
    float       image_max, image_min;
    float       *fdata;
    double      bscale;
    double      bzero;
} fimage_t;


Glob fimage_t fimage[3], *fimage_ptr;
Glob  int       ImageCellWidth;      /* Width of Image cell */
Glob  int       ImageCellHeight;     /* Height of Image cell */

#endif
