/***
    FitsOctreeDefs.h - Octree Global Guys

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Auther Change Log
    01/20/92	BDS	Created.
***/

#ifndef FITS_OCTREE_H
#define FITS_OCTREE_H

#ifdef MainStore
#define Glob  
#else
#define Glob extern
#endif

#define TOL 0.00000000001
#define OCTREE_MAX_NODE_DEPTH 20

#define OCTREE_MALLOC_FAILED -1
#define OCTREE_ROOT_NODE_ID  -1

/*	G=1
 *       2-----3
 *      /:    /|
 *     6-----7 |    <----=  This is the Octree numbering for all time
 *     | 0...|.1 R=0
 *     |/    |/
 *     4-----5
 *    B=2
 */

struct OctreeNode {
    int         Id;		/* OctTree id 1-8 */
    int         Depth;          /* Sub octant level number where Root=0 */
    int         NumVals;	/* Number of values stored in children */
    int		Index;		/* Colormap index for this color Value[] */
    float	MinVal[3];	/* Min value for this octant */
    float       MaxVal[3];	/* Max value for this octant */
    float       Value[3];	/* Coord value stored in this node */
    struct OctreeNode *Parent;	/* Pointer to parent node */
    struct OctreeNode *Child[8];/* Pointer to all 8 child subnodes */
};

Glob struct OctreeNode  *RootNode;

Glob    int    LeavesPerLevel[OCTREE_MAX_NODE_DEPTH+1];
Glob    int    ChildrenPerLevel[OCTREE_MAX_NODE_DEPTH+1];

#endif

