/**
    FitsWindowDefs.h: Window variable global thingies

    Permission to use, copy, modify, distribute this software is hereby
    granted without fee, provided that this Copyright notice appear in all
    copies.  It is provided "as is" without express or implied warranty.

    Revisions
    01/21/92	BDS	Created.
**/

#ifndef FITSWINDOWDEFS_H
#define FITSWINDOWDEFS_H

#include "FitsX11Defs.h"

#ifdef  MainStore
#define Glob
#else
#define Glob extern
#endif

/*
 *  WINDOW variable declaration
 */
Glob  Window    root, win, pw, w;
Glob  Window    graph_win, input_win, output_win, ColorWin;
Glob  int       gwx1, gwy1;
Glob  int       gwx2, gwy2;
Glob  int       gww, gwh;
Glob  int       iwx1, iwy1;
Glob  int       iwx2, iwy2;
Glob  int       iww, iwh;
Glob  int       owx1, owy1;
Glob  int       owx2, owy2;
Glob  int       oww, owh;
Glob  int       text_width, text_height;

#define NUM_WINDOWS 3

#define INPUT	 0
#define GRAPH    1
#define COLOR    2

typedef struct {
    Window   id;
    char     name[133];
    unsigned int      x, y, w, h;
} window_t;
Glob	window_t   MyWindows[NUM_WINDOWS];

Glob    int xoff, yoff, banner_height;

#endif
